## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname pretty-yaml

Name:          python-%{srcname}
Version:       25.5.0
Release:       %autorelease
Summary:       A module to produce a bit more pretty and human-readable YAML-serialized data

License:       WTFPL
URL:           https://github.com/mk-fg/pretty-yaml
Source:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3dist(pytest)
BuildRequires: help2man

%global _description %{expand:
PyYAML-based python module to produce a bit more pretty and human-readable
YAML-serialized data.

This module is for serialization only, see ruamel.yaml module for literate YAML
parsing (keeping track of comments, spacing, line/column numbers of values,
etc).}

%description %{_description}

%package -n python3-%{srcname}
Summary:    %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -L pyaml
mkdir -p %{buildroot}%{_mandir}/man1
export PYTHONPATH="$PYTHONPATH:%{buildroot}%{python3_sitelib}"
help2man --no-discard-stderr %{buildroot}%{_bindir}/pyaml -o %{buildroot}%{_mandir}/man1/pyaml.1

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license COPYING
%{_mandir}/man1/pyaml.1*
%{_bindir}/pyaml

%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 25.5.0-2
- Rebuilt for Python 3.14

* Fri May 30 2025 Łukasz Wojniłowicz <lukasz.wojnilowicz@gmail.com> - 25.5.0-1
- Fix rhbz#2369126

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 25.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 02 2025 Łukasz Wojniłowicz <lukasz.wojnilowicz@gmail.com> - 25.1.0-1
- Initial import (fedora#2335144).
## END: Generated by rpmautospec
